Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network45.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
45.2.0.0
Broadcast address
45.3.255.255
First usable
45.2.0.1
Last usable
45.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 2D020000 · Integer 755105792 to 755236863
Reverse DNS zones
2.45.in-addr.arpa
3.45.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101101.00000010.00000000.0000000045.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00101101.00000010.00000000.0000000045.2.0.0
Broadcast00101101.00000011.11111111.1111111145.3.255.255
Split into smaller subnets/23

45.2.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
145.2.0.0/2345.2.0.1 to 45.2.1.25445.2.1.255510
245.2.2.0/2345.2.2.1 to 45.2.3.25445.2.3.255510
345.2.4.0/2345.2.4.1 to 45.2.5.25445.2.5.255510
445.2.6.0/2345.2.6.1 to 45.2.7.25445.2.7.255510
545.2.8.0/2345.2.8.1 to 45.2.9.25445.2.9.255510
645.2.10.0/2345.2.10.1 to 45.2.11.25445.2.11.255510
745.2.12.0/2345.2.12.1 to 45.2.13.25445.2.13.255510
845.2.14.0/2345.2.14.1 to 45.2.15.25445.2.15.255510
945.2.16.0/2345.2.16.1 to 45.2.17.25445.2.17.255510
1045.2.18.0/2345.2.18.1 to 45.2.19.25445.2.19.255510
1145.2.20.0/2345.2.20.1 to 45.2.21.25445.2.21.255510
1245.2.22.0/2345.2.22.1 to 45.2.23.25445.2.23.255510
1345.2.24.0/2345.2.24.1 to 45.2.25.25445.2.25.255510
1445.2.26.0/2345.2.26.1 to 45.2.27.25445.2.27.255510
1545.2.28.0/2345.2.28.1 to 45.2.29.25445.2.29.255510
1645.2.30.0/2345.2.30.1 to 45.2.31.25445.2.31.255510
1745.2.32.0/2345.2.32.1 to 45.2.33.25445.2.33.255510
1845.2.34.0/2345.2.34.1 to 45.2.35.25445.2.35.255510
1945.2.36.0/2345.2.36.1 to 45.2.37.25445.2.37.255510
2045.2.38.0/2345.2.38.1 to 45.2.39.25445.2.39.255510
2145.2.40.0/2345.2.40.1 to 45.2.41.25445.2.41.255510
2245.2.42.0/2345.2.42.1 to 45.2.43.25445.2.43.255510
2345.2.44.0/2345.2.44.1 to 45.2.45.25445.2.45.255510
2445.2.46.0/2345.2.46.1 to 45.2.47.25445.2.47.255510
2545.2.48.0/2345.2.48.1 to 45.2.49.25445.2.49.255510
2645.2.50.0/2345.2.50.1 to 45.2.51.25445.2.51.255510
2745.2.52.0/2345.2.52.1 to 45.2.53.25445.2.53.255510
2845.2.54.0/2345.2.54.1 to 45.2.55.25445.2.55.255510
2945.2.56.0/2345.2.56.1 to 45.2.57.25445.2.57.255510
3045.2.58.0/2345.2.58.1 to 45.2.59.25445.2.59.255510
3145.2.60.0/2345.2.60.1 to 45.2.61.25445.2.61.255510
3245.2.62.0/2345.2.62.1 to 45.2.63.25445.2.63.255510
3345.2.64.0/2345.2.64.1 to 45.2.65.25445.2.65.255510
3445.2.66.0/2345.2.66.1 to 45.2.67.25445.2.67.255510
3545.2.68.0/2345.2.68.1 to 45.2.69.25445.2.69.255510
3645.2.70.0/2345.2.70.1 to 45.2.71.25445.2.71.255510
3745.2.72.0/2345.2.72.1 to 45.2.73.25445.2.73.255510
3845.2.74.0/2345.2.74.1 to 45.2.75.25445.2.75.255510
3945.2.76.0/2345.2.76.1 to 45.2.77.25445.2.77.255510
4045.2.78.0/2345.2.78.1 to 45.2.79.25445.2.79.255510
4145.2.80.0/2345.2.80.1 to 45.2.81.25445.2.81.255510
4245.2.82.0/2345.2.82.1 to 45.2.83.25445.2.83.255510
4345.2.84.0/2345.2.84.1 to 45.2.85.25445.2.85.255510
4445.2.86.0/2345.2.86.1 to 45.2.87.25445.2.87.255510
4545.2.88.0/2345.2.88.1 to 45.2.89.25445.2.89.255510
4645.2.90.0/2345.2.90.1 to 45.2.91.25445.2.91.255510
4745.2.92.0/2345.2.92.1 to 45.2.93.25445.2.93.255510
4845.2.94.0/2345.2.94.1 to 45.2.95.25445.2.95.255510
4945.2.96.0/2345.2.96.1 to 45.2.97.25445.2.97.255510
5045.2.98.0/2345.2.98.1 to 45.2.99.25445.2.99.255510
5145.2.100.0/2345.2.100.1 to 45.2.101.25445.2.101.255510
5245.2.102.0/2345.2.102.1 to 45.2.103.25445.2.103.255510
5345.2.104.0/2345.2.104.1 to 45.2.105.25445.2.105.255510
5445.2.106.0/2345.2.106.1 to 45.2.107.25445.2.107.255510
5545.2.108.0/2345.2.108.1 to 45.2.109.25445.2.109.255510
5645.2.110.0/2345.2.110.1 to 45.2.111.25445.2.111.255510
5745.2.112.0/2345.2.112.1 to 45.2.113.25445.2.113.255510
5845.2.114.0/2345.2.114.1 to 45.2.115.25445.2.115.255510
5945.2.116.0/2345.2.116.1 to 45.2.117.25445.2.117.255510
6045.2.118.0/2345.2.118.1 to 45.2.119.25445.2.119.255510
6145.2.120.0/2345.2.120.1 to 45.2.121.25445.2.121.255510
6245.2.122.0/2345.2.122.1 to 45.2.123.25445.2.123.255510
6345.2.124.0/2345.2.124.1 to 45.2.125.25445.2.125.255510
6445.2.126.0/2345.2.126.1 to 45.2.127.25445.2.127.255510
6545.2.128.0/2345.2.128.1 to 45.2.129.25445.2.129.255510
6645.2.130.0/2345.2.130.1 to 45.2.131.25445.2.131.255510
6745.2.132.0/2345.2.132.1 to 45.2.133.25445.2.133.255510
6845.2.134.0/2345.2.134.1 to 45.2.135.25445.2.135.255510
6945.2.136.0/2345.2.136.1 to 45.2.137.25445.2.137.255510
7045.2.138.0/2345.2.138.1 to 45.2.139.25445.2.139.255510
7145.2.140.0/2345.2.140.1 to 45.2.141.25445.2.141.255510
7245.2.142.0/2345.2.142.1 to 45.2.143.25445.2.143.255510
7345.2.144.0/2345.2.144.1 to 45.2.145.25445.2.145.255510
7445.2.146.0/2345.2.146.1 to 45.2.147.25445.2.147.255510
7545.2.148.0/2345.2.148.1 to 45.2.149.25445.2.149.255510
7645.2.150.0/2345.2.150.1 to 45.2.151.25445.2.151.255510
7745.2.152.0/2345.2.152.1 to 45.2.153.25445.2.153.255510
7845.2.154.0/2345.2.154.1 to 45.2.155.25445.2.155.255510
7945.2.156.0/2345.2.156.1 to 45.2.157.25445.2.157.255510
8045.2.158.0/2345.2.158.1 to 45.2.159.25445.2.159.255510
8145.2.160.0/2345.2.160.1 to 45.2.161.25445.2.161.255510
8245.2.162.0/2345.2.162.1 to 45.2.163.25445.2.163.255510
8345.2.164.0/2345.2.164.1 to 45.2.165.25445.2.165.255510
8445.2.166.0/2345.2.166.1 to 45.2.167.25445.2.167.255510
8545.2.168.0/2345.2.168.1 to 45.2.169.25445.2.169.255510
8645.2.170.0/2345.2.170.1 to 45.2.171.25445.2.171.255510
8745.2.172.0/2345.2.172.1 to 45.2.173.25445.2.173.255510
8845.2.174.0/2345.2.174.1 to 45.2.175.25445.2.175.255510
8945.2.176.0/2345.2.176.1 to 45.2.177.25445.2.177.255510
9045.2.178.0/2345.2.178.1 to 45.2.179.25445.2.179.255510
9145.2.180.0/2345.2.180.1 to 45.2.181.25445.2.181.255510
9245.2.182.0/2345.2.182.1 to 45.2.183.25445.2.183.255510
9345.2.184.0/2345.2.184.1 to 45.2.185.25445.2.185.255510
9445.2.186.0/2345.2.186.1 to 45.2.187.25445.2.187.255510
9545.2.188.0/2345.2.188.1 to 45.2.189.25445.2.189.255510
9645.2.190.0/2345.2.190.1 to 45.2.191.25445.2.191.255510
9745.2.192.0/2345.2.192.1 to 45.2.193.25445.2.193.255510
9845.2.194.0/2345.2.194.1 to 45.2.195.25445.2.195.255510
9945.2.196.0/2345.2.196.1 to 45.2.197.25445.2.197.255510
10045.2.198.0/2345.2.198.1 to 45.2.199.25445.2.199.255510
10145.2.200.0/2345.2.200.1 to 45.2.201.25445.2.201.255510
10245.2.202.0/2345.2.202.1 to 45.2.203.25445.2.203.255510
10345.2.204.0/2345.2.204.1 to 45.2.205.25445.2.205.255510
10445.2.206.0/2345.2.206.1 to 45.2.207.25445.2.207.255510
10545.2.208.0/2345.2.208.1 to 45.2.209.25445.2.209.255510
10645.2.210.0/2345.2.210.1 to 45.2.211.25445.2.211.255510
10745.2.212.0/2345.2.212.1 to 45.2.213.25445.2.213.255510
10845.2.214.0/2345.2.214.1 to 45.2.215.25445.2.215.255510
10945.2.216.0/2345.2.216.1 to 45.2.217.25445.2.217.255510
11045.2.218.0/2345.2.218.1 to 45.2.219.25445.2.219.255510
11145.2.220.0/2345.2.220.1 to 45.2.221.25445.2.221.255510
11245.2.222.0/2345.2.222.1 to 45.2.223.25445.2.223.255510
11345.2.224.0/2345.2.224.1 to 45.2.225.25445.2.225.255510
11445.2.226.0/2345.2.226.1 to 45.2.227.25445.2.227.255510
11545.2.228.0/2345.2.228.1 to 45.2.229.25445.2.229.255510
11645.2.230.0/2345.2.230.1 to 45.2.231.25445.2.231.255510
11745.2.232.0/2345.2.232.1 to 45.2.233.25445.2.233.255510
11845.2.234.0/2345.2.234.1 to 45.2.235.25445.2.235.255510
11945.2.236.0/2345.2.236.1 to 45.2.237.25445.2.237.255510
12045.2.238.0/2345.2.238.1 to 45.2.239.25445.2.239.255510
12145.2.240.0/2345.2.240.1 to 45.2.241.25445.2.241.255510
12245.2.242.0/2345.2.242.1 to 45.2.243.25445.2.243.255510
12345.2.244.0/2345.2.244.1 to 45.2.245.25445.2.245.255510
12445.2.246.0/2345.2.246.1 to 45.2.247.25445.2.247.255510
12545.2.248.0/2345.2.248.1 to 45.2.249.25445.2.249.255510
12645.2.250.0/2345.2.250.1 to 45.2.251.25445.2.251.255510
12745.2.252.0/2345.2.252.1 to 45.2.253.25445.2.253.255510
12845.2.254.0/2345.2.254.1 to 45.2.255.25445.2.255.255510
12945.3.0.0/2345.3.0.1 to 45.3.1.25445.3.1.255510
13045.3.2.0/2345.3.2.1 to 45.3.3.25445.3.3.255510
13145.3.4.0/2345.3.4.1 to 45.3.5.25445.3.5.255510
13245.3.6.0/2345.3.6.1 to 45.3.7.25445.3.7.255510
13345.3.8.0/2345.3.8.1 to 45.3.9.25445.3.9.255510
13445.3.10.0/2345.3.10.1 to 45.3.11.25445.3.11.255510
13545.3.12.0/2345.3.12.1 to 45.3.13.25445.3.13.255510
13645.3.14.0/2345.3.14.1 to 45.3.15.25445.3.15.255510
13745.3.16.0/2345.3.16.1 to 45.3.17.25445.3.17.255510
13845.3.18.0/2345.3.18.1 to 45.3.19.25445.3.19.255510
13945.3.20.0/2345.3.20.1 to 45.3.21.25445.3.21.255510
14045.3.22.0/2345.3.22.1 to 45.3.23.25445.3.23.255510
14145.3.24.0/2345.3.24.1 to 45.3.25.25445.3.25.255510
14245.3.26.0/2345.3.26.1 to 45.3.27.25445.3.27.255510
14345.3.28.0/2345.3.28.1 to 45.3.29.25445.3.29.255510
14445.3.30.0/2345.3.30.1 to 45.3.31.25445.3.31.255510
14545.3.32.0/2345.3.32.1 to 45.3.33.25445.3.33.255510
14645.3.34.0/2345.3.34.1 to 45.3.35.25445.3.35.255510
14745.3.36.0/2345.3.36.1 to 45.3.37.25445.3.37.255510
14845.3.38.0/2345.3.38.1 to 45.3.39.25445.3.39.255510
14945.3.40.0/2345.3.40.1 to 45.3.41.25445.3.41.255510
15045.3.42.0/2345.3.42.1 to 45.3.43.25445.3.43.255510
15145.3.44.0/2345.3.44.1 to 45.3.45.25445.3.45.255510
15245.3.46.0/2345.3.46.1 to 45.3.47.25445.3.47.255510
15345.3.48.0/2345.3.48.1 to 45.3.49.25445.3.49.255510
15445.3.50.0/2345.3.50.1 to 45.3.51.25445.3.51.255510
15545.3.52.0/2345.3.52.1 to 45.3.53.25445.3.53.255510
15645.3.54.0/2345.3.54.1 to 45.3.55.25445.3.55.255510
15745.3.56.0/2345.3.56.1 to 45.3.57.25445.3.57.255510
15845.3.58.0/2345.3.58.1 to 45.3.59.25445.3.59.255510
15945.3.60.0/2345.3.60.1 to 45.3.61.25445.3.61.255510
16045.3.62.0/2345.3.62.1 to 45.3.63.25445.3.63.255510
16145.3.64.0/2345.3.64.1 to 45.3.65.25445.3.65.255510
16245.3.66.0/2345.3.66.1 to 45.3.67.25445.3.67.255510
16345.3.68.0/2345.3.68.1 to 45.3.69.25445.3.69.255510
16445.3.70.0/2345.3.70.1 to 45.3.71.25445.3.71.255510
16545.3.72.0/2345.3.72.1 to 45.3.73.25445.3.73.255510
16645.3.74.0/2345.3.74.1 to 45.3.75.25445.3.75.255510
16745.3.76.0/2345.3.76.1 to 45.3.77.25445.3.77.255510
16845.3.78.0/2345.3.78.1 to 45.3.79.25445.3.79.255510
16945.3.80.0/2345.3.80.1 to 45.3.81.25445.3.81.255510
17045.3.82.0/2345.3.82.1 to 45.3.83.25445.3.83.255510
17145.3.84.0/2345.3.84.1 to 45.3.85.25445.3.85.255510
17245.3.86.0/2345.3.86.1 to 45.3.87.25445.3.87.255510
17345.3.88.0/2345.3.88.1 to 45.3.89.25445.3.89.255510
17445.3.90.0/2345.3.90.1 to 45.3.91.25445.3.91.255510
17545.3.92.0/2345.3.92.1 to 45.3.93.25445.3.93.255510
17645.3.94.0/2345.3.94.1 to 45.3.95.25445.3.95.255510
17745.3.96.0/2345.3.96.1 to 45.3.97.25445.3.97.255510
17845.3.98.0/2345.3.98.1 to 45.3.99.25445.3.99.255510
17945.3.100.0/2345.3.100.1 to 45.3.101.25445.3.101.255510
18045.3.102.0/2345.3.102.1 to 45.3.103.25445.3.103.255510
18145.3.104.0/2345.3.104.1 to 45.3.105.25445.3.105.255510
18245.3.106.0/2345.3.106.1 to 45.3.107.25445.3.107.255510
18345.3.108.0/2345.3.108.1 to 45.3.109.25445.3.109.255510
18445.3.110.0/2345.3.110.1 to 45.3.111.25445.3.111.255510
18545.3.112.0/2345.3.112.1 to 45.3.113.25445.3.113.255510
18645.3.114.0/2345.3.114.1 to 45.3.115.25445.3.115.255510
18745.3.116.0/2345.3.116.1 to 45.3.117.25445.3.117.255510
18845.3.118.0/2345.3.118.1 to 45.3.119.25445.3.119.255510
18945.3.120.0/2345.3.120.1 to 45.3.121.25445.3.121.255510
19045.3.122.0/2345.3.122.1 to 45.3.123.25445.3.123.255510
19145.3.124.0/2345.3.124.1 to 45.3.125.25445.3.125.255510
19245.3.126.0/2345.3.126.1 to 45.3.127.25445.3.127.255510
19345.3.128.0/2345.3.128.1 to 45.3.129.25445.3.129.255510
19445.3.130.0/2345.3.130.1 to 45.3.131.25445.3.131.255510
19545.3.132.0/2345.3.132.1 to 45.3.133.25445.3.133.255510
19645.3.134.0/2345.3.134.1 to 45.3.135.25445.3.135.255510
19745.3.136.0/2345.3.136.1 to 45.3.137.25445.3.137.255510
19845.3.138.0/2345.3.138.1 to 45.3.139.25445.3.139.255510
19945.3.140.0/2345.3.140.1 to 45.3.141.25445.3.141.255510
20045.3.142.0/2345.3.142.1 to 45.3.143.25445.3.143.255510
20145.3.144.0/2345.3.144.1 to 45.3.145.25445.3.145.255510
20245.3.146.0/2345.3.146.1 to 45.3.147.25445.3.147.255510
20345.3.148.0/2345.3.148.1 to 45.3.149.25445.3.149.255510
20445.3.150.0/2345.3.150.1 to 45.3.151.25445.3.151.255510
20545.3.152.0/2345.3.152.1 to 45.3.153.25445.3.153.255510
20645.3.154.0/2345.3.154.1 to 45.3.155.25445.3.155.255510
20745.3.156.0/2345.3.156.1 to 45.3.157.25445.3.157.255510
20845.3.158.0/2345.3.158.1 to 45.3.159.25445.3.159.255510
20945.3.160.0/2345.3.160.1 to 45.3.161.25445.3.161.255510
21045.3.162.0/2345.3.162.1 to 45.3.163.25445.3.163.255510
21145.3.164.0/2345.3.164.1 to 45.3.165.25445.3.165.255510
21245.3.166.0/2345.3.166.1 to 45.3.167.25445.3.167.255510
21345.3.168.0/2345.3.168.1 to 45.3.169.25445.3.169.255510
21445.3.170.0/2345.3.170.1 to 45.3.171.25445.3.171.255510
21545.3.172.0/2345.3.172.1 to 45.3.173.25445.3.173.255510
21645.3.174.0/2345.3.174.1 to 45.3.175.25445.3.175.255510
21745.3.176.0/2345.3.176.1 to 45.3.177.25445.3.177.255510
21845.3.178.0/2345.3.178.1 to 45.3.179.25445.3.179.255510
21945.3.180.0/2345.3.180.1 to 45.3.181.25445.3.181.255510
22045.3.182.0/2345.3.182.1 to 45.3.183.25445.3.183.255510
22145.3.184.0/2345.3.184.1 to 45.3.185.25445.3.185.255510
22245.3.186.0/2345.3.186.1 to 45.3.187.25445.3.187.255510
22345.3.188.0/2345.3.188.1 to 45.3.189.25445.3.189.255510
22445.3.190.0/2345.3.190.1 to 45.3.191.25445.3.191.255510
22545.3.192.0/2345.3.192.1 to 45.3.193.25445.3.193.255510
22645.3.194.0/2345.3.194.1 to 45.3.195.25445.3.195.255510
22745.3.196.0/2345.3.196.1 to 45.3.197.25445.3.197.255510
22845.3.198.0/2345.3.198.1 to 45.3.199.25445.3.199.255510
22945.3.200.0/2345.3.200.1 to 45.3.201.25445.3.201.255510
23045.3.202.0/2345.3.202.1 to 45.3.203.25445.3.203.255510
23145.3.204.0/2345.3.204.1 to 45.3.205.25445.3.205.255510
23245.3.206.0/2345.3.206.1 to 45.3.207.25445.3.207.255510
23345.3.208.0/2345.3.208.1 to 45.3.209.25445.3.209.255510
23445.3.210.0/2345.3.210.1 to 45.3.211.25445.3.211.255510
23545.3.212.0/2345.3.212.1 to 45.3.213.25445.3.213.255510
23645.3.214.0/2345.3.214.1 to 45.3.215.25445.3.215.255510
23745.3.216.0/2345.3.216.1 to 45.3.217.25445.3.217.255510
23845.3.218.0/2345.3.218.1 to 45.3.219.25445.3.219.255510
23945.3.220.0/2345.3.220.1 to 45.3.221.25445.3.221.255510
24045.3.222.0/2345.3.222.1 to 45.3.223.25445.3.223.255510
24145.3.224.0/2345.3.224.1 to 45.3.225.25445.3.225.255510
24245.3.226.0/2345.3.226.1 to 45.3.227.25445.3.227.255510
24345.3.228.0/2345.3.228.1 to 45.3.229.25445.3.229.255510
24445.3.230.0/2345.3.230.1 to 45.3.231.25445.3.231.255510
24545.3.232.0/2345.3.232.1 to 45.3.233.25445.3.233.255510
24645.3.234.0/2345.3.234.1 to 45.3.235.25445.3.235.255510
24745.3.236.0/2345.3.236.1 to 45.3.237.25445.3.237.255510
24845.3.238.0/2345.3.238.1 to 45.3.239.25445.3.239.255510
24945.3.240.0/2345.3.240.1 to 45.3.241.25445.3.241.255510
25045.3.242.0/2345.3.242.1 to 45.3.243.25445.3.243.255510
25145.3.244.0/2345.3.244.1 to 45.3.245.25445.3.245.255510
25245.3.246.0/2345.3.246.1 to 45.3.247.25445.3.247.255510
25345.3.248.0/2345.3.248.1 to 45.3.249.25445.3.249.255510
25445.3.250.0/2345.3.250.1 to 45.3.251.25445.3.251.255510
25545.3.252.0/2345.3.252.1 to 45.3.253.25445.3.253.255510
25645.3.254.0/2345.3.254.1 to 45.3.255.25445.3.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses